Page MenuHomePhabricator

Link App FAQ from the More menu
Closed, ResolvedPublic

Description

It would help to add "Wikipedia App FAQ" directly W menu > more. Could reduce repeated questions.
https://www.mediawiki.org/wiki/Wikimedia_Apps/Android_FAQ
https://www.mediawiki.org/wiki/Wikimedia_Apps/iOS_FAQ

iOS QA Notes

Feature "More" View

Scenario: Navigation

Given I'm looking at the "W" nav menu
When I tap the "More" button
Then I should see the "More" menu (see final screenshot below)
And the search site preferences should be on top
And the "About" section should be second
...

Given I'm on the "More" view
When I tap the "FAQ" button
Then I should see the iOS App FAQ Wiki

Developer-tested on iOS 8 iPhone 6 simulator.

Details

Related Gerrit Patches:
apps/ios/wikipedia : masteradd FAQ wiki link to "More" menu
apps/android/wikipedia : masterAdd link to Wikipedia App FAQ to preferences menu.
apps/android/wikipedia : masterAdd FAQ link to nav drawer menu

Event Timeline

Moushira raised the priority of this task from to Needs Triage.
Moushira updated the task description. (Show Details)
Moushira added a subscriber: Moushira.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 12:22 PM

@Moushira we're going to put this in the backlog until you and @Dbrant have a chance to flesh out the acceptance criteria.

Change 214630 had a related patch set uploaded (by Mholloway):
Add FAQ link to nav drawer menu

https://gerrit.wikimedia.org/r/214630

This seems like a very simple task, so I went ahead and put a patch together (that we can of course iterate on if necessary).

Dbrant renamed this task from Link App FAQ from W menu to Link App FAQ from the More menu.Jun 2 2015, 3:17 PM
Mholloway moved this task from To Do to Doing on the Mobile-App-Sprint-58-Android board.

Change 214630 abandoned by Mholloway:
Add FAQ link to nav drawer menu

Reason:
Makes sense. My initial impulse was to have the FAQ up front and easy to find, but it does make more sense in the "more" menu.

https://gerrit.wikimedia.org/r/214630

Change 215363 had a related patch set uploaded (by Mholloway):
Add link to Wikimedia Apps FAQ to preferences menu.

https://gerrit.wikimedia.org/r/215363

Moushira updated the task description. (Show Details)Jun 4 2015, 6:13 PM

Noted the change, will update.

@Vibhabamba @Mholloway and @Moushira, where did you (or should I) put the FAQ button in the iOS app "More" menu? I went ahead and put it before the "rate the app" button, but my fledgling UX designer senses tell me that's not entirely right.

I would place it as <Wikipedia App FAQ> under <About the Wikipedia App> button.

Cool, I guessed correctly. Here's where I have it positioned in our layout.


How about wording? I used "Wikimedia Apps FAQ" as a way of distinguishing it from the Wikipedia Zero FAQ just a little ways up the menu.

Though that was before the iOS and Android app FAQs were split, so it should probably at least be singular, not plural.

Dbrant added a comment.Jun 5 2015, 1:52 PM

@Mholloway Yep, let's go with "Wikipedia App FAQ".

@Moushira I thought of that, but it seems out of place under the "Privacy And Terms" section. What do you think?

@Dbrant @Mdholloway @Moushira maybe we should adopt android's section header as well, replacing "Privacy and Terms" with "About."

@BGerstle-WMF I think that's a good idea. A bit friendlier, more broadly encompassing, still a natural place for privacy policy and terms of use links to be.

Only problem with changing our section header is that doing so would invalidate all our localizations

Maybe worth it...

Change 215363 merged by jenkins-bot:
Add link to Wikipedia App FAQ to preferences menu.

https://gerrit.wikimedia.org/r/215363

@Moushira it is done:

@Vibhabamba @Moushira only thing is that now we have an "About" header and an "About the Wikipedia app" item. IMO the "About the Wikipedia app" should be broken out into separate items:

  • Licenses
  • Contributors/Authors
  • App version (maybe in the header/footer of the entire view)
  • Acknowledgements (TSG, translations)
  • "Send feedback" (boy is that buried!)

Maybe a separate task, though.

Also, should "About" be above "Wikipedia Zero"?

+1 to "About" being above "Wikipedia Zero".

"About the Wikipedia App" I suggest breaking it into:

-Add "Acknowledgement" button and include: "Contributors/Authors/Traslators/QA"
-Add "Repositories" button for Github,Gerrit, and libraries used.
-I suggested promoting "Send feedback" to this menu earlier, but there was resistance around making it more visible, given our capacity to handle this.
-App version goes to footer

New task? :)

@Moushira i think a separate task, yeah. Will create & put it in the triage column.

Change 216276 had a related patch set uploaded (by Bgerstle):
add FAQ wiki link to "More" menu

https://gerrit.wikimedia.org/r/216276

I think it is fine, but then this would change even more after breaking "About the Wikipedia App" section.

@Moushira @Vibhabamba @Fjalapeno here's the compromise which adds a new "About" section which makes more sense for the FAQ:

Keeping "Privacy and Terms" (localized in many languages) and adding "About" w/ the new "FAQ" button.

Vibhabamba added a comment.EditedJun 8 2015, 9:27 PM

Signed off by design as long as 'About' & 'FAQ' localization is not an issue.

Change 216276 merged by jenkins-bot:
add FAQ wiki link to "More" menu

https://gerrit.wikimedia.org/r/216276

Checked on WikipediaApp/4.1.5.143 Tablet (iPad mini) OS 8.2 - FAQ is not translated(but it's not an issue per Vibhabamba)

The community will handle translations, but lets at least avail the English one for now :)